Skip to main content
GET
/
api
/
syncs
/
{syncId}
Get Sync Status
curl --request GET \
  --url https://sync.useparagon.com/api/syncs/{syncId} \
  --header 'Authorization: Bearer <token>'
{
  "status": "INITIALIZING",
  "summary": {
    "totalRecords": 123,
    "syncedRecordsCount": 123,
    "lastSyncedAt": "2023-11-07T05:31:56Z",
    "latestCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Paragon User Token. Add to the Authorization header of your requests.

Path Parameters

syncId
string
required

ID of the sync to get the status of

Response

Sync status

status
enum<string>

Current state of Sync activity. Possible values:

  • INITIALIZING: The Sync has just been created and is pending its first run.
  • ACTIVE: The Sync is actively fetching new data.
  • IDLE: The Sync has completed and is watching for updates to synced data.
    • Check summary.lastSyncedAt to see if the sync has successfully completed.
  • DISABLED: The Sync has been paused temporarily by the Disable a Sync endpoint.
  • ERRORED: The Sync has been suspended due to an error. Check Webhook Events for additional error details.
Available options:
INITIALIZING,
ACTIVE,
IDLE,
DISABLED,
ERRORED
summary
object

Metrics on the sync progress and last seen record timestamps